<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use Prettus\Validator\Exceptions\ValidatorException;
use \stdClass;
use DB;
use Excel;

class ExportExcelController extends Controller
{
    public function index()
    {
     $customer_data = DB::table('catalog_product_flat_57')->leftJoin('catalog_category_product', 'catalog_category_product.entity_id', '=', 'catalog_product_flat_57.entity_id')->leftJoin('catalog_category_entity_varchar', 'catalog_category_entity_varchar.entity_id', '=', 'catalog_category_product.category_id')->select('catalog_product_flat_57.entity_id','sku','item_number','name','value')->where('catalog_category_entity_varchar.attribute_id','=',45)->where('catalog_category_entity_varchar.store_id','=',0)->paginate(20);
     return view('exportexcel/index')->with('customer_data', $customer_data);
    }
   
    public function show()
    {
        $customer_data = DB::table('catalog_product_flat_57')->leftJoin('catalog_category_product', 'catalog_category_product.entity_id', '=', 'catalog_product_flat_57.entity_id')->leftJoin('catalog_category_entity_varchar', 'catalog_category_entity_varchar.entity_id', '=', 'catalog_category_product.category_id')->select('catalog_product_flat_57.entity_id','sku','item_number','name','value')->where('catalog_category_entity_varchar.attribute_id','=',45)->where('catalog_category_entity_varchar.store_id','=',0)->get()->toArray();
         $fields = array('Barcode','Item Number','Name','Category','Category1','Category2','Category3');
         $customer_array = implode("\t", array_values($fields)) . "\n"; 
         $fileName = "item-list.xls";
         foreach($customer_data as $customer)
         {
          $entity_id=$customer->entity_id;
           $categoryresult = DB::table('catalog_category_entity')->Join('catalog_category_entity_varchar', 'catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->Join('catalog_category_product', 'catalog_category_product.category_id', '=', 'catalog_category_entity.entity_id')->Join('catalog_product_entity', 'catalog_product_entity.entity_id', '=', 'catalog_category_product.product_id')->select('value')->where('catalog_category_product.product_id','=',$entity_id)->where('catalog_category_entity.level','=','2')->where('catalog_category_entity_varchar.attribute_id','=',45)->where('catalog_category_entity_varchar.store_id','=',0)->first();
               $categorylevel=isset($categoryresult->value) ? $categoryresult->value : '';
               
                 $categoryresult1 = DB::table('catalog_category_entity')->Join('catalog_category_entity_varchar', 'catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->Join('catalog_category_product', 'catalog_category_product.category_id', '=', 'catalog_category_entity.entity_id')->Join('catalog_product_entity', 'catalog_product_entity.entity_id', '=', 'catalog_category_product.product_id')->select('value')->where('catalog_category_product.product_id','=',$entity_id)->where('catalog_category_entity.level','=','3')->where('catalog_category_entity_varchar.attribute_id','=',45)->where('catalog_category_entity_varchar.store_id','=',0)->first();
                $categorylevel1=isset($categoryresult1->value) ? $categoryresult1->value : '';
                
               $categoryresult2 = DB::table('catalog_category_entity')->Join('catalog_category_entity_varchar', 'catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->Join('catalog_category_product', 'catalog_category_product.category_id', '=', 'catalog_category_entity.entity_id')->Join('catalog_product_entity', 'catalog_product_entity.entity_id', '=', 'catalog_category_product.product_id')->select('value')->where('catalog_category_product.product_id','=',$entity_id)->where('catalog_category_entity.level','=','4')->where('catalog_category_entity_varchar.attribute_id','=',45)->where('catalog_category_entity_varchar.store_id','=',0)->first();
                $categorylevel2=isset($categoryresult2->value) ? $categoryresult2->value : '';
                
                 $categoryresult3 = DB::table('catalog_category_entity')->Join('catalog_category_entity_varchar', 'catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->Join('catalog_category_product', 'catalog_category_product.category_id', '=', 'catalog_category_entity.entity_id')->Join('catalog_product_entity', 'catalog_product_entity.entity_id', '=', 'catalog_category_product.product_id')->select('value')->where('catalog_category_product.product_id','=',$entity_id)->where('catalog_category_entity.level','=','5')->where('catalog_category_entity_varchar.attribute_id','=',45)->where('catalog_category_entity_varchar.store_id','=',0)->first();
                $categorylevel3=isset($categoryresult3->value) ? $categoryresult3->value : '';   
             
          $lineData= array(
           'Barcode'  => $customer->sku,
           'Item Number'   => $customer->item_number,
           'Name'    => $customer->name,
           'Category'  => $categorylevel,
            'Category1'  => $categorylevel1,
            'Category2'  => $categorylevel2,
            'Category3'  => $categorylevel3,
          );
          //array_walk($lineData, 'filterData'); 
            $customer_array .= implode("\t", array_values($lineData)) . "\n"; 
         }
             
             // Headers for download 
        header("Content-Type: application/vnd.ms-excel"); 
        header("Content-Disposition: attachment; filename=\"$fileName\""); 
         
        // Render excel data 
        return $customer_array;
    }
    
     public function textExcel()
    {
        $customer_data = DB::table('catalog_product_flat_57')->leftJoin('catalog_category_product', 'catalog_category_product.entity_id', '=', 'catalog_product_flat_57.entity_id')->leftJoin('catalog_category_entity_varchar', 'catalog_category_entity_varchar.entity_id', '=', 'catalog_category_product.category_id')->select('item_barcode','item_number','name','value')->where('catalog_category_entity_varchar.attribute_id','=',45)->where('catalog_category_entity_varchar.store_id','=',0)->get()->toArray();
         $fields = array('Barcode','Item Number','Name','Category');
         $customer_array = implode("\t", array_values($fields)) . "\n"; 
         $fileName = "item-list.xls";
         foreach($customer_data as $customer)
         {
          $lineData= array(
           'Barcode'  => $customer->item_barcode,
           'Item Number'   => $customer->item_number,
           'Name'    => $customer->name,
           'Category'  => $customer->value,
          );
          //array_walk($lineData, 'filterData'); 
            $customer_array .= implode("\t", array_values($lineData)) . "\n"; 
         }
             
             // Headers for download 
        header("Content-Type: application/vnd.ms-excel"); 
        header("Content-Disposition: attachment; filename=\"$fileName\""); 
         
        // Render excel data 
        return $customer_array;
    }
}
?>