<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class FeedbackController extends Controller
{
    public function index()
    {
         $feedback = DB::table('feedback')->orderBy('id','DESC')->paginate(10);
         $feedback_status = DB::table('feedback_status')->get();
         return view('feedback/index', ['feedback1' => $feedback,'feedback_status'=>$feedback_status,
      ]);
    }
    public function create()
    {
         $store = DB::table('store_group')->where('group_id','!=','0')->get();
        return view('locations.create',['store'=>$store]);
        
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
           $date_added	= date('Y-m-d H:i:s');
      DB::table('locations')->insert(['store_id'=>$request->store_id,'name'=>$request->name,'status'=>$request->status,'created'=>$date_added]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('locations.index'));
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('locations.index'));
        }
       
	
	
	    $result = array();		
		$result['message'] = array();
		
		$feedback = DB::table('feedback')->where('id','=',$id)->get();
		$result['feedback'] = $feedback;		
		$feedback_status = DB::table('feedback_status')->get();
		$result['feedback_status'] = $feedback_status;
		
        if (empty($feedback)) {
            Flash::error('Feedback not found');

            return redirect(route('feedback.index'));
        }
        
        return view("feedback.edit",['feedback' => $feedback])->with('result',$result);
        
    }

    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        $feedback = DB::table('feedback')->where('id','=',$request->id)->get();
        if (empty($feedback)) {
            Flash::error('Feedback not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
		DB::table('feedback')->where('id','=',$id)->update(['status'=>$request->status_id,'created'=>$last_modified]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Feedback updated successfully.');

        return redirect()->back();

    }

    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $feedback=DB::table('feedback')->where('id','=',$id)->get();
		
        if (empty($feedback)) {
            Flash::error('Feedback not found');

            return redirect(route('feedback.index'));
        }

        DB::table('feedback')->where('id','=',$id)->delete();

        Flash::success('Feedback deleted successfully.');

        return redirect(route('feedback.index'));
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
