<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class LocationsController extends Controller
{
    public function country(){
         $domain_address_code = session('domain_address_setup');
         if(empty($domain_address_code)){
            $domain_address_code='JO';
         }
         $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
         $countryy  = array();
         $s1 = 0;
         foreach($sqlcountry as $country){
            $explode1=explode(',',$country->store_id);
            $countrycode=$country->value;
            $store_id1=isset($explode1[0]) ? $explode1[0] :'';
            $stores1=DB::select("SELECT code FROM store WHERE store_id='$store_id1'");
            $codeurl=isset($stores1[0]->code) ? $stores1[0]->code : '';
            $msp_tfa_country_codes=DB::select("SELECT name FROM msp_tfa_country_codes WHERE code='$countrycode'");
            $countryname=isset($msp_tfa_country_codes[0]->name) ? $msp_tfa_country_codes[0]->name : '';
            $countryy[$s1]['country_name'] = $countryname;
            $countryy[$s1]['country_code'] = $countrycode;
            $s1++;
        }
        return $countryy;
    }
    public function index()
    {
         $countryy = $this->country();
         $country_code = $countryy[0]['country_code'];
         $locations = DB::table('locations')->where('country_code','=',$country_code)->orderBy('id','DESC')->paginate(10);
         $store = DB::table('store_group')->where('group_id','!=','0')->get();
         return view('locations/index', ['locations' => $locations,'store'=>$store, 'country'=>$countryy]);
    }
    public function create()
    {
         $store = DB::table('store_group')->where('group_id','!=','0')->get();
         $countryy = $this->country();
        return view('locations.create',['store'=>$store, 'country'=>$countryy]);
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
          $date_added	= date('Y-m-d H:i:s');
          $implodestoreid = implode(', ', $request->store_id);
          DB::table('locations')->insert(['store_id'=>$implodestoreid,'country_code'=>$request->country_code,'name'=>$request->name,'status'=>$request->status,'created'=>$date_added]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('locations.index'));
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        // if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('locations.index'));
        // }
       
	
	
	    $result = array();		
		$result['message'] = array();
		
		$editlocations = DB::table('locations')->where('id','=',$id)->get();
		$result['editlocations'] = $editlocations;		
		$store = DB::select("SELECT * FROM store_group INNER JOIN locations on locations.store_id=store_group.group_id where locations.id=$id");
		$result['store'] = $store;
		$countryy = $this->country();
		
        if (empty($editlocations)) {
            Flash::error('Locations not found');

            return redirect(route('locations.index'));
        }
        
        return view("locations.edit",['editlocations' => $editlocations, 'country'=>$countryy, 'store'=>$store])->with('result',$result);
        
    }

    public function update($id,Request $request)
    {
        // if (env('APP_DEMO', false)) {
        //     Flash::warning('This is only demo app you can\'t change this section ');
        //     return redirect(route('users.profile'));
        // }
        // if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('users.profile'));
        // }

        $locations = DB::table('locations')->where('id','=',$request->id)->get();
         $store = DB::table('store_group')->where('group_id','!=','0')->get();
        if (empty($locations)) {
            Flash::error('Locations not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
        $implodestoreid = implode(', ', $request->store_id);
		DB::table('locations')->where('id','=',$id)->update(['store_id'=>$implodestoreid,'country_code'=>$request->country_code,'name'=>$request->name,'status'=>$request->status,'modified'=>$last_modified]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Location updated successfully.');

        return redirect()->back();

    }

    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $locations=DB::table('locations')->where('id','=',$id)->get();
		
        if (empty($locations)) {
            Flash::error('Location not found');

            return redirect(route('locations.index'));
        }

        DB::table('locations')->where('id','=',$id)->delete();

        Flash::success('Locations deleted successfully.');

        return redirect(route('locations.index'));
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
