<?php

namespace App\Http\Controllers;

use App\Repositories\OrderRepository;
use App\Repositories\PaymentRepository;
use App\Repositories\MarketRepository;
use App\Repositories\UserRepository;
use Illuminate\Http\Request;
use DB;
use Carbon\Carbon;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use \stdClass;

class ReportPickingSummaryController extends Controller
{
    
    /** @var  OrderRepository */
    private $orderRepository;


    /**
     * @var UserRepository
     */
    private $userRepository;

    /** @var  MarketRepository */
    private $marketRepository;
    /** @var  PaymentRepository */
    private $paymentRepository;

    public function __construct(OrderRepository $orderRepo, UserRepository $userRepo, PaymentRepository $paymentRepo, MarketRepository $marketRepo)
    {
        parent::__construct();
        $this->orderRepository = $orderRepo;
        $this->userRepository = $userRepo;
        $this->marketRepository = $marketRepo;
        $this->paymentRepository = $paymentRepo;
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $date = Carbon::now();
        // $ordersCount = $this->orderRepository->count();
        $membersCount = $this->userRepository->count();
        $marketsCount = $this->marketRepository->count();
        $order_id_value = "";
        if(isset($_GET["from_date"]) && isset($_GET["to_date"])){
            $from_date = isset($_GET["from_date"])? $_GET["from_date"] : '';
            $to_date = isset($_GET["to_date"])? $_GET["to_date"] : '';
            $pickerid = (isset($_GET["pickerid"]) && $_GET["pickerid"]!="")? " AND sales_order.picker_id = ".$_GET["pickerid"] : '';
            $store = (isset($_GET["store"]) && $_GET["store"]!="")? ' AND sales_order.store_id = '.$_GET["store"] : '';
            $slot = (isset($_GET["slot"]) && $_GET["slot"]!="")? " AND sales_order_item.slot_id = '".$_GET["slot"]."' " : '';
            $order_id_value = DB::select("
SELECT COUNT(sales_order_outofstockproduct.product_id) AS out_of_stock,sls.name as store_name,users.name,IFNULL(sales_order_item.delivery_dates,'N/a') AS delivery_dates, group_concat(distinct sales_order.entity_id) as entity_list, COUNT(sales_order.entity_id) AS no_of_orders, SUM(sales_order_item.qty_ordered) AS no_of_items_ordered, SUM(sales_order_item.qty_invoiced) AS no_of_items_picked, SUM(sales_order_item.new_addproduct) as new_addproduct FROM sales_order 
INNER JOIN sales_order_item ON sales_order_item.order_id = sales_order.entity_id
LEFT JOIN sales_order_outofstockproduct ON sales_order_outofstockproduct.order_id = sales_order.entity_id AND sales_order_outofstockproduct.product_id=sales_order_item.product_id
left join storelocator_store sls on sls.store_id = sales_order.store_id
INNER JOIN users ON users.id = sales_order.picker_id 
where sales_order_item.delivery_dates BETWEEN '$from_date' AND '$to_date' $pickerid $slot $store
GROUP BY users.id, sales_order_item.delivery_dates,sales_order_item.slot_id, sales_order.store_id ORDER BY sales_order_item.delivery_dates DESC");
        } else {
//             $order_id_value = DB::select("SELECT COUNT(sales_order_outofstockproduct.product_id) AS out_of_stock,sales_order.store_id,users.name,IFNULL(sales_order_item.delivery_dates,'N/a') AS delivery_dates, COUNT(sales_order.entity_id) AS no_of_orders, SUM(sales_order_item.qty_ordered) AS no_of_items_ordered, SUM(sales_order_item.qty_invoiced) AS no_of_items_picked, SUM(sales_order_item.new_addproduct) AS new_addproduct FROM sales_order 
// INNER JOIN sales_order_item ON sales_order_item.order_id = sales_order.entity_id
// LEFT JOIN sales_order_outofstockproduct ON sales_order_outofstockproduct.order_id = sales_order.entity_id AND sales_order_outofstockproduct.product_id=sales_order_item.product_id
// INNER JOIN users ON users.id = sales_order.picker_id 
// GROUP BY users.id, sales_order_item.delivery_dates,sales_order_item.slot_id, sales_order.store_id ORDER BY sales_order_item.delivery_dates DESC");
            $order_id_value = DB::select("
SELECT COUNT(sales_order_outofstockproduct.product_id) AS out_of_stock,sls.name as store_name,users.name,IFNULL(sales_order_item.delivery_dates,'N/a') AS delivery_dates, COUNT(sales_order.entity_id) AS no_of_orders, SUM(sales_order_item.qty_ordered) AS no_of_items_ordered, SUM(sales_order_item.qty_invoiced) AS no_of_items_picked, SUM(sales_order_item.new_addproduct) AS new_addproduct FROM sales_order 
INNER JOIN sales_order_item ON sales_order_item.order_id = sales_order.entity_id
LEFT JOIN sales_order_outofstockproduct ON sales_order_outofstockproduct.order_id = sales_order.entity_id AND sales_order_outofstockproduct.product_id=sales_order_item.product_id
LEFT JOIN storelocator_store sls ON sls.store_id = sales_order.store_id
INNER JOIN users ON users.id = sales_order.picker_id 
GROUP BY users.id, sales_order_item.delivery_dates,sales_order_item.slot_id, sales_order.store_id ORDER BY sales_order_item.delivery_dates DESC");
        }
          $pickerList = DB::select("SELECT id,name as picker_name FROM users WHERE role_id = 'picker'");
          $storeList = DB::select("SELECT * FROM storelocator_store");
          $slot = DB::select("SELECT * FROM delivery_slot1");
            // $salesorder=[];
          $perPage = 10;
          $data = $this->paginate($order_id_value, $perPage);
         return view('reports_picking_summary.index', ['orderDetails' => $data, "perPage" => $perPage, 'pickerList'=> $pickerList, 'store' => $storeList, 'slot' => $slot
      ]);
    }
    
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    public function paginate($items, $perPage, $page = null, $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
        $items = $items instanceof Collection ? $items : Collection::make($items);
        $pagePath = "";
        $url = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
        if(isset($_GET["from_date"]) && isset($_GET["to_date"])){
           $fullUrl = $url."?from_date=".$_GET["from_date"]."&to_date=".$_GET["to_date"]."&pickerid=".$_GET['pickerid']."&store=".$_GET['store']."&slot=".$_GET['slot'];
           $pagePath = ['path' => $fullUrl];
        } else {
            $pagePath = ['path' => $url];
        }
        return new LengthAwarePaginator($items->forPage($page, $perPage), $items->count(), $perPage, $page, $pagePath, $options);
    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
