@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.order_plural')}}<small class="ml-3 mr-3">|</small><small><?php echo isset($_GET["type"])?$_GET["type"] : '' ?> {{trans('lang.order_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('orders.index') !!}">{{trans('lang.order_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.order')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<div class="content">
  <div class="card">
    <div class="card-header d-print-none">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('orders.index') !!}?<?php
    $productType = isset($_GET['type']) ? $_GET['type'] : 'Grocery';
    if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>"><i class="fa fa-list mr-2"></i>{{trans('lang.order_table')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.order')}}</a>
        </li>
        <div class="ml-auto d-inline-flex">
          <li class="nav-item">
            <a class="nav-link pt-1" href="tax/<?php echo $order->entity_id;?>" target="_blank"><i class="fa fa-percent"></i> Tax Invoice</a>
          </li>
          <li class="nav-item">
            <a class="nav-link pt-1"  href="delivery/<?php echo $order->entity_id;?>?product_type=<?php echo $productType; ?>" target="_blank"><i class="fa fa-file-invoice"></i> Delivery Note</a>
          </li>
          <li class="nav-item">
            <a class="nav-link pt-1"  href="pickinglist/<?php echo $order->entity_id;?>?product_type=<?php echo $productType; ?>" target="_blank"><i class="fa fa-file-invoice"></i> Picking List</a>
          </li>
        </div>
      </ul>
    </div>
    <div class="card-body">
      <div class="row">
        @include('orders.show_fields')
      </div>
      <!--@include('product_orders.table')-->
      
       <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>Product ID</th>
                                   <th>Barcode</th>
                                  <th>Product Name</th>
                                  <th>Weight</th>
                                  <th>Quantity</th>
                                  <th>Out of Stock</th>
                                  <th>In Bag</th>
                                  <th>Price</th>
                                  <th>Original Price</th>
                                  <th>Discount Price</th>
                                  <th>Total Price</th>
                              </tr>
                          </thead>
                <tbody>
                    <?php 
                            $subTotal = 0;
                    ?>
                    @inject('ordersDB','\DB')
                    @if(count($getorder)>0)
                    @foreach ($getorder as $key=>$label)
                    <?php
                        $proId = $ordersDB::table('sales_order_item')->where('order_id',$label->order_id)->where('product_type','simple')->where('sku',$label->sku)->select('product_id', 'qty_canceled')->first();
                        $qtyCanceled = $ordersDB::table('particular_quantity_canceled')->where('order_id',$label->order_id)->where('product_id',$proId->product_id)->select(DB::raw('SUM(particular_quantity_canceled.qty_canceled) AS itemQtyCanceled'))->first();
                        $itemQtyCanceled = isset($qtyCanceled->itemQtyCanceled)?$qtyCanceled->itemQtyCanceled:0;
                        $canceledProductPrice = isset($label->price)? number_format(($label->price * $itemQtyCanceled), 4, '.', ''): 0;
                        $outofstockqty=$label->outofstockqty;
                        $configkey = isset($sales_order_item_configurable)?array_search($label->sku, array_column($sales_order_item_configurable, 'sku')) : '';  
                        if (!empty($configkey) || $configkey === 0) {  
                            if($label->product_type == "simple"){
                                continue; 
                            }
                        }
                        if(!($label->qty_canceled > 0)){
                                $subTotal += (($label->row_total-$label->discount_amount)-$canceledProductPrice);
                        }
                    ?>
                              <tr>
                                  <th scope="row">{{ $proId->product_id }}</th>
                                   <td>{{ $label->sku }}</td>
                                  <td>{{ $label->name }} <?php 
                                    if($label->product_type == "configurable"){
                                        $options = isset($label->product_options)?json_decode($label->product_options):'';
                                        $label_name = isset($options->attributes_info[0]->label)? $options->attributes_info[0]->label : '';
                                        $weight = isset($options->attributes_info[0]->value)? $options->attributes_info[0]->value : '';
                                        echo "<br>";
                                        if (stripos($weight, "kg") != false) {
                                            echo "<b>" . $label_name . ":</b> " . $weight;
                                        }else{
                                            // echo "<b>" . $label_name . ":</b> " . $weight;
                                            foreach($options->attributes_info as $vall){
                                                echo "<b>" . $vall->label . ":</b> " . $vall->value."<br>";
                                            }
                                        }
                                        echo "<br>";
                                    }
                                    if(!empty($label->product_notes)){ 
                                            echo '<p><b>Customer Notes: </b>'.$label->product_notes.'</p>';
                                        echo "<br>";
                                    }
                                    ?> @if($proId->qty_canceled > 0) <br><div style="margin-top: 7px"><b style="background: black;padding: 5px;color: white;">Canceled</b></div>@elseif($itemQtyCanceled>0) <br><div style="margin-top: 7px"><b style="background: black;padding: 2px;color: white;">Some Qty Only Canceled</b></div>  @endif</td>
                                    <td>{{ $label->package_info }}</td>
                                  <td>
                                    <?php 
                                        if($itemQtyCanceled>0){
                                    ?>
                                    <b>Ordered: </b> <span><?php echo round($label->qty_ordered,2); ?></span><br>
                                    <b>Canceled: </b><span>{{$itemQtyCanceled}}</span><br><br>
                                    <b>Available QTY: </b> <span><?php echo round($label->qty_ordered-$itemQtyCanceled,2); ?></span>
                                    <?php
                                             } else {
                                                 echo round($label->qty_ordered,2);
                                             }
                                    ?>
                                  </td>
                                  
                                    <?php
                                        $outOfStockQtyCheck = $ordersDB::table('sales_stock')->where('order_id',$label->order_id)->where('product_id',$proId->product_id)->select('qty')->first();
                                        $outOfStockQtyCount = isset($outOfStockQtyCheck->qty)? $outOfStockQtyCheck->qty : "0";
                                     ?>
                                      <?php if($label->outofstockqty){?>
                                        <td>{{ $label->outofstockqty }}</td>
                                        <?php }else{ ?>
                                        <td>{{$outOfStockQtyCount}}</td>
                                        <?php }?>
                                        
                                        <?php
                                            $inbagQtyCheck = $ordersDB::table('add_to_bag')->where('order_id',$label->order_id)->where('product_id',$proId->product_id)->select('qty')->first();
                                        $inbagQtyCount = isset($inbagQtyCheck->qty)? $inbagQtyCheck->qty : "0";
                                        ?>    
                                        
                                        <?php if($label->inbagqty){?>
                                        <td>{{ $label->inbagqty }}</td>
                                        <?php }else{ ?>
                                        <td>{{$inbagQtyCount}}</td>
                                        <?php }?>
                                        
                                    <td>{{ $label->price }}</td>
                                    <td><?php if($label->old_price==0){
                                       echo $label->row_total;  
                                    }else{
                                       echo $label->old_price;  
                                    }?></td>
                                    <td>{{ $label->discount_amount }}</td>
                                    <td <?php if($label->qty_canceled > 0){ ?> style="text-decoration: line-through;" <?php } ?> id="price<?php echo $key; ?>"><?php 
                                            if(($itemQtyCanceled > 0) && ($label->qty_canceled <= 0)){
                                             $available_Qty = round($label->qty_ordered-$itemQtyCanceled,2);
                                             $canceledProductPriccee = isset($label->price)? number_format(($label->price * $available_Qty), 4, '.', ''): 0;
                                                echo "<span style='text-decoration: line-through;'>".number_format($label->row_total-$label->discount_amount, 4, '.', '')."</span><br>";
                                                echo number_format($canceledProductPriccee, 4, '.', '');
                                            }else{
                                                echo number_format($label->row_total-$label->discount_amount, 4, '.', '');
                                            }
                                        ?></td>
                                   <!--<td>{{ $label->row_total }}</td>-->
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
						     
                      </table>
                       <div class="col-xs-12 pull-right">
             
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
      <div class="row">
      <div class="col-5 offset-7">
        <div class="table-responsive table-light">
          <table class="table">
            <tbody><tr>
              <th class="text-right">{{trans('lang.order_subtotal')}}</th>
              <!--<td>JOD {!! $subtotal !!}</td>-->
                <td>JOD <?php echo number_format($subTotal, 4, '.', ''); ?></td>
            </tr>
          
            <tr>
              <th class="text-right">Shipping Fee</th>
              <td>JOD {!! $taxAmount!!}</td>
            </tr>

            <tr>
              <th class="text-right">{{trans('lang.order_total')}}</th>
              <!--<td>JOD {!!$total!!}</td>-->
                <td>JOD <?php echo number_format($subTotal+$taxAmount, 4, '.', ''); ?></td>
            </tr>
            </tbody></table>
        </div>
      </div>
      </div>
                
      <div class="clearfix"></div>
      <div class="row d-print-none">
        <!-- Back Field -->
        <div class="form-group col-12 text-right">
          <a href="{!! route('orders.index') !!}?<?php
    $productType = isset($_GET['type']) ? $_GET['type'] : 'Grocery';
    if($productType == "Grocery"){
        echo "type=Grocery";
    } else if($productType == "Warehouse"){
        echo "type=Warehouse";
    } else if($productType == "Supplier"){
        echo "type=Supplier";
    }
  ?>" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.back')}}</a>
        </div>
      </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection

@push('scripts')
  <script type="text/javascript">
    $("#printOrder").on("click",function () {
      window.print();
    });
  </script>
@endpush
