@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',"Category")
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{{ route('promotion_banner.index').'?page='.$page }}"><i class="fa fa-list mr-2"></i>Promotion Banner</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>ADD PDF Image</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => ['promotion_banner.store'], 'method' => 'post', 'enctype' => 'multipart/form-data']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <div class="form-group row col-12">
        {!! Form::label('pdf_image',"Inside PDF Image", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            <div class="form-group">
            <!--<label for="image">Promotion Banner Image</label><br>-->
            <input type="file" name="image" id="image" required />
            <input type="hidden" name="page" value="{{$page}}" />
          </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('pdf_page_url',"PDF Page Url", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            {!! Form::text('pdf_page_url','',  ['class' => 'form-control','placeholder'=> "PDF Page Url", "required"=>"true"]) !!}
            <div class="form-text text-muted">
                Enter PDF Page Url
            </div>
        </div>
    </div>
 <div class="form-group row col-12">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
             <select class="form-control" name="status" id="status">
                                        <option value="1">Active</option>  
                                        <option value="0">InActive</option> 
                                        </select>
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}}</button>
    <a href="{{ route('promotion_banner.index').'?page='.$page }}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush