@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.vehicle_plural')}}<small class="ml-3 mr-3">|</small><small>{{trans('lang.vehicle_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('vehicle.index') !!}">{{trans('lang.vehicle_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.vehicle_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.vehicle_table')}}</a>
        </li>
        @can('vehicle.create')
        <li class="nav-item">
          <a class="nav-link" href="{!! route('vehicle.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.vehicle_create')}}</a>
        </li>
        @endcan
        <!--@can('vehicle.store')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('vehicle.store') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.vehicle_store')}}</a>-->
        <!--</li>-->
        <!--@endcan-->
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Country</th>
                                  <th>Store Name</th>
                                  <th>Vehicle Name</th>
                                  <th>Vehicle No</th>
                                  <th>Vehicle Model</th>
                                   <th>Description</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                              <?php 
                                $multiple_store_name_get = '';
                              ?>
                    @if(count($vehicle)>0)
                    @foreach ($vehicle as $key=>$vehicle1)
                     <?php 
                        $multiple_store_name_get = explode(', ', $vehicle1->store_id);
                    ?>
                              <tr>
                                  <th scope="row">{{ $vehicle1->id }}</th>
                                  <td>
                                  @if(count($country)>0)
                                    @foreach ($country as $key=>$country1) 
                                      @if($vehicle1->country_code==$country1['country_code'])
                                        {{$country1['country_name']}}
                                  @endif
                                  @endforeach
                                  @endif
                                  </td>
                                  <td>
                                    <?php 
                                        $store_value = array();
                                    ?>
                                  @if(count($store)>0)
                                  @foreach ($store as $key=>$store1)
                                      @if(in_array($store1->group_id, $multiple_store_name_get))
                                        <?php 
                                           array_push($store_value, $store1->name);
                                         ?>
                                      @endif
                                  @endforeach
                                  @endif
                                  <?php 
                                    $stre_val = implode(', ',$store_value);
                                    echo $stre_val;
                                  ?>
                                  </td>
                                  <td>{{ $vehicle1->vehicle_name }}</td>
                                  <td>{{ $vehicle1->vehicle_no }}</td>
                                  <td>{{ $vehicle1->vehicle_model }}</td>
                                   <td>{{ strip_tags($vehicle1->vehicle_description) }}</td>
                                  <td><?php if(empty($vehicle1->modified)){?>
                                      <p>{{ $vehicle1->created }}</p>
                                  <?php } else {?><p>{{ $vehicle1->modified }}</p><?php }?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="vehicle/edit/{{ $vehicle1->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="vehicle/destroy/{{ $vehicle1->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$vehicle->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection